Lead Phases
Lead Phases define the workflow stages for Leads. Use this endpoint to query the available phases and their IDs, which are needed to update the phase of a lead.
Use the Datastore_Phase_ActivityLead endpoint to query phases for this activity type.
Endpoints
List Lead Phases
GET
/v1/odata/Datastore_Phase_ActivityLeadSingle Phase
GET
/v1/odata/Datastore_Phase_ActivityLead({id})Fields
Inherited Fields (from Phase)
See Phase Fields for all inherited fields including Name, Code, Icon, ActionName, IsAssignable, and IsTerminal.
Relationships
| Relationship | Target Entity | Cardinality | Description |
|---|---|---|---|
| Lead | Activity_Lead | 1:N | Leads in this phase |
| Assignee | Relation.Person.Contact.Employee | N:1 | Assigned employee |
Expanding Relationships
GET
/v1/odata/Datastore_Phase_ActivityLead({id})?$expand=LeadNavigating Relationships
GET
/v1/odata/Datastore_Phase_ActivityLead({id})/LeadUsage
Query Available Phases
GET
/v1/odata/Datastore_Phase_ActivityLead?$select=Name,Code,IsTerminalUpdate Phase on Lead
POST
/v1/odata/Activity_LeadFiltering Examples
GET
/v1/odata/Datastore_Phase_ActivityLead?$filter=Name eq '{Name}'&$top={top}GET
/v1/odata/Datastore_Phase_ActivityLead?$filter=Code eq '{Code}'&$top={top}GET
/v1/odata/Datastore_Phase_ActivityLead?$filter=IsTerminal eq {IsTerminal}&$top={top}GET
/v1/odata/Datastore_Phase_ActivityLead?$filter=IsAssignable eq {IsAssignable}&$top={top}